commit:     b80c3d04e61491c2c3e12badb4e9c75cd1f21477
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun May  7 00:44:23 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun May  7 00:44:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b80c3d04

dev-libs/libinput: Version bump to 1.7.2

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 dev-libs/libinput/Manifest              |  1 +
 dev-libs/libinput/libinput-1.7.2.ebuild | 55 +++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-libs/libinput/Manifest b/dev-libs/libinput/Manifest
index d6ad05d73b3..50b100d556f 100644
--- a/dev-libs/libinput/Manifest
+++ b/dev-libs/libinput/Manifest
@@ -3,3 +3,4 @@ DIST libinput-1.6.2.tar.xz 929180 SHA256 
96fc0e0b24a96042b16e561201979dfa4a3f00a
 DIST libinput-1.6.3.tar.xz 926740 SHA256 
74da2798728e79c3aedfffa268d8fe811c3766ca3708309c0dc45502be137da1 SHA512 
be1ab191b5605943d6f46a5fee7af9ecba83ab30ba3d38b6ec136980f2183f6dcb5aaf048aa81a096c4f51b6de05bebc83b4ffa29a0574752062a994f377aa5f
 WHIRLPOOL 
e90739d84b87c9a419bbbb636cb535bebd51cacc18d215f87f952af41bb67a747de0c4c732cd83bd4d23143b3d6d4090a09e150d41f05edfb260e26a08688778
 DIST libinput-1.7.0.tar.xz 924472 SHA256 
12a670f63d01e9e9c98ad0b31aef22160aac52187b4ee8f068a6902181c1a8a8 SHA512 
9058eab813ea3de230835155ca843f248127cbafaf1aecc9a2e209a0215b090beef0468cc863a24320f8d0db1f2863baba680e2416e9e409e958b2c1d18e43a1
 WHIRLPOOL 
e2f2d90bf7c16b0b1d1694d5e8ec998de73b335e4aa57b833fdf77ebbb9e559fac7a10929a3495f40b9312f15178954ea450670d067d46af61a75be06643ccc0
 DIST libinput-1.7.1.tar.xz 922432 SHA256 
2e56bc5bbf7d202dd94e1a5673489ce86fe10b1d4b5145948e9ba15f053247c1 SHA512 
ee477fbbe2042ffeff70a960caf97e914d28c916af495765071a0184f442fa503d461bc34b87dc3dd62ef1bfd3e921ddc6fc065f8089d16d81c037d53d677352
 WHIRLPOOL 
dcdd5bc6f80044ea1118b7e8647a1f43147f5bf4a3d3391d859e1c65a91d30c2f1a68a8553a1131caaf379bb4505f9061a601f61eb1103c6896de7b9d7adb9cf
+DIST libinput-1.7.2.tar.xz 923720 SHA256 
0b1e5a6c106ccc609ccececd9e33e6b27c8b01fc7457ddb4c1dd266e780d6bc2 SHA512 
cdbd2994e954aac9538fe907c275e6e23e2bed0e9c4c65f19591bdcdbf5074131c72b92e87de87c03f75a991fcdb7f568b491a12f00031c4eba11082ca44d69f
 WHIRLPOOL 
869623f2ef8da44627f28552f86583a6e6927f4966489f1c59d4b7c5061983d58744be5ea162a97e07e4a79495f56a728faaa273f8d45a8a2ee242819769aae8

diff --git a/dev-libs/libinput/libinput-1.7.2.ebuild 
b/dev-libs/libinput/libinput-1.7.2.ebuild
new file mode 100644
index 00000000000..f3060d7878c
--- /dev/null
+++ b/dev-libs/libinput/libinput-1.7.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit udev
+
+DESCRIPTION="Library to handle input devices in Wayland"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/libinput/";
+SRC_URI="https://www.freedesktop.org/software/${PN}/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0/10"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86"
+IUSE="input_devices_wacom test"
+# Tests require write access to udev rules directory which is a no-no for live 
system.
+# Other tests are just about logs, exported symbols and autotest of the test 
library.
+RESTRICT="test"
+
+RDEPEND="
+       input_devices_wacom? ( >=dev-libs/libwacom-0.20 )
+       >=dev-libs/libevdev-0.4
+       >=sys-libs/mtdev-1.1
+       virtual/libudev
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+#      test? (
+#              >=dev-libs/check-0.9.10
+#              dev-util/valgrind
+#              sys-libs/libunwind )
+
+src_prepare() {
+       default
+       # Doc handling in kinda strange but everything
+       # is available in the tarball already.
+       sed -e 's/^\(SUBDIRS =.*\)doc\(.*\)$/\1\2/' \
+               -i Makefile.am Makefile.in || die
+}
+
+src_configure() {
+       # gui can be built but will not be installed
+       # building documentation silently fails with graphviz syntax errors
+       econf \
+               --disable-documentation \
+               --disable-event-gui \
+               $(use_enable input_devices_wacom libwacom) \
+               $(use_enable test tests) \
+               --with-udev-dir="$(get_udevdir)"
+}
+
+src_install() {
+       emake install DESTDIR="${D}"
+       dodoc -r doc/html
+       find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}

Reply via email to